Bug 131788 - should not need write access to .ko files
Summary: should not need write access to .ko files
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3SELinux FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-09-04 15:32 UTC by Russell Coker
Modified: 2014-03-17 02:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 19:37:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell Coker 2004-09-04 15:32:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
To lock the module insmod will open the file read/write.  I think that it should not open it for write.

Won't a read-lock do everything that's needed?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
.

Additional info:

Comment 1 Bill Nottingham 2004-10-13 03:47:34 UTC
The locking isn't to prevent overwriting of the module, it's to
prevent multiple concurrent attempted installs of the same module. So,
any sort of read lock wouldn't work here.

Comment 2 Bill Nottingham 2005-01-25 19:37:07 UTC
Considering the purpose of the lock, closing. I suppose any changes
with it need taken upstream.


Note You need to log in before you can comment on or make changes to this bug.